---
title: GeolocationCoordinates.heading
slug: Web/API/GeolocationCoordinates/heading
tags:
  - API
  - Geolocation API
  - GeolocationCoordinates
  - Property
  - Secure context
  - heading
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>GeolocationCoordinates.heading</strong></code> read-only property is a <code>double</code> representing the direction in which the device is traveling. This value, specified in degrees, indicates how far off from heading due north the device is. <font face="Consolas, Liberation Mono, Courier, monospace">Zero</font> degrees represents true true north, and the direction is determined clockwise (which means that east is <code>90</code> degrees and west is <code>270</code> degrees). If {{domxref("GeolocationCoordinates.speed")}} is <code>0</code>, <code>heading</code> is <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/NaN">NaN</a></code>. If the device is not able to provide heading information, this value is <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>let heading</var> = <var>geolocationCoordinatesInstance</var>.heading
</pre>

<h3 id="Value">Value</h3>

<p>A <code>double</code> representing the direction in which the device is traveling.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-geolocationcoordinates-heading', 'GeolocationCoordinates.heading')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationCoordinates.heading")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("GeolocationCoordinates")}}</li>
</ul>
